package org.greenstone.gsdl3.gs3build.metadata;

import java.io.File;
import java.net.URL;

public class METSLocation
{
  String type;
  URL    location;

  public METSLocation(String type, String location) throws java.net.MalformedURLException
  { this.type = type;
    this.location = new URL(location);
  }

  public METSLocation(URL url)
  { this.type = "URL";
    this.location = url;
  }

  public METSLocation(File file) throws java.net.MalformedURLException
  { this.type = "URL";
    this.location = new URL("file://" + file.toString());
  }

  public boolean equals(URL url)
  { return this.location.equals(url);
  }

  public URL getLocation()
  { return this.location;
  }

  public String getType()
  { return this.type;
  }
}
